> ## Documentation Index
> Fetch the complete documentation index at: https://docs.argyle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Verifications.connection_added webhook

> Sent when a new payroll account or banking institution is connected after a verification is completed or cancelled.



## OpenAPI

````yaml openAPI/verifications-webhooks-connection-added.yaml post /v2/webhooks
openapi: 3.0.0
info:
  title: Verifications Webhooks API
  version: '2.0'
  description: >
    API for managing Verifications Webhooks.

    Sent when a new payroll account or banking institution is connected after a
    verification is completed or cancelled.
servers:
  - url: https://api-sandbox.argyle.com
    description: Sandbox
  - url: https://api.argyle.com
    description: Production
security:
  - basicAuth: []
paths:
  /v2/webhooks:
    post:
      summary: Example subscription
      description: >
        The `verifications.connection_added` webhook is sent when a user adds a
        new payroll account or connects a new banking institution after a
        verification reaches `COMPLETED` or `CANCELLED`.


        Argyle monitors for new connections for 60 days after the verification
        reaches either state.


        - For payroll, the webhook is sent once per newly connected payroll
        account.

        - For banking, the webhook is sent once per newly connected financial
        institution, not once per bank account.


        Reconnecting a previously connected payroll account or banking
        institution does not trigger this webhook.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/WebhookSubscriptionRequest'
            example:
              events:
                - verifications.connection_added
              name: name-for-the-webhook-subscription
              url: >-
                https://webhooks.example.com/argyle/verifications-connection-added
              secret: secret-value
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VerificationConnectionAddedWebhookMessage'
              examples:
                verifications_connection_added:
                  summary: Example Webhook Delivery
                  value:
                    event: verifications.connection_added
                    name: name-for-the-webhook-subscription
                    data:
                      user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
                      verification: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
                      connection:
                        id: '102168'
                        data_source: banking
                        connected_at: '2026-09-08T16:22:06.081Z'
components:
  schemas:
    WebhookSubscriptionRequest:
      type: object
      properties:
        events:
          type: array
          description: |
            `verifications.connection_added`
          items:
            type: string
            enum:
              - verifications.connection_added
            example: verifications.connection_added
        name:
          type: string
          example: name-for-the-webhook-subscription
          description: Your name for the webhook subscription.
        url:
          type: string
          example: https://webhooks.example.com/argyle/verifications-connection-added
          description: >-
            Where you want to receive webhook delivery. This can be either a
            backend URL that you manage, or a URL provided by a webhook
            management service. Argyle handles URL encoding for webhook URLs.
            Send the URL in its normal, unencoded form.
        secret:
          type: string
          example: secret-value
          description: >-
            Optional secret used to [verify
            webhooks](/api-guide/webhooks#verifying-webhooks).
      required:
        - events
        - name
        - url
    VerificationConnectionAddedWebhookMessage:
      type: object
      properties:
        event:
          type: string
          description: |
            `verifications.connection_added`
          example: verifications.connection_added
        name:
          type: string
          description: Name used for the webhook subscription.
          example: name-for-the-webhook-subscription
        data:
          type: object
          properties:
            user:
              type: string
              format: uuid
              description: ID of the user.
              example: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
            verification:
              type: string
              format: uuid
              description: >-
                ID of the verification that ended before the new connection was
                added.
              example: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
            connection:
              $ref: '#/components/schemas/VerificationConnection'
      example:
        event: verifications.connection_added
        name: name-for-the-webhook-subscription
        data:
          user: 018051aa-f7a9-a0db-2f38-6cfa325e9d69
          verification: 43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b
          connection:
            id: '102168'
            data_source: banking
            connected_at: '2026-09-08T16:22:06.081Z'
    VerificationConnection:
      type: object
      properties:
        id:
          type: string
          description: ID of the newly connected payroll account or banking institution.
          example: '102168'
        data_source:
          type: string
          enum:
            - payroll
            - banking
          description: Data source of the new connection.
          example: banking
        connected_at:
          type: string
          format: date-time
          description: Time when the payroll account or banking institution was connected.
          example: '2026-09-08T16:22:06.081Z'
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: Username = api_key_id, Password = api_key_secret

````